- Main Page
- Data Structures
- Files
- Directories

- Search for |

- Alphabetical List
- Data Structures
- Data Fields

# kmod_struct Struct Reference

`#include <kmod.h>`

Collaboration diagram for kmod_struct:

[legend]

## Data Fields
uInt32 | address
uInt16 | id
char | name [128]
kmod_struct * | next
kmod_struct * | prev
uInt16 | refs

## Detailed Description

Definition at line 37 of file kmod.h.

## Field Documentation

uInt32 kmod_struct::address

Definition at line 42 of file kmod.h.

uInt16 kmod_struct::id

Definition at line 40 of file kmod.h.

char kmod_struct::name[128]

Definition at line 43 of file kmod.h.

struct kmod_struct* kmod_struct::next

Definition at line 38 of file kmod.h.

struct kmod_struct* kmod_struct::prev

Definition at line 39 of file kmod.h.

uInt16 kmod_struct::refs

Definition at line 41 of file kmod.h.

The documentation for this struct was generated from the following file:

- src/sys/include/ubixos/kmod.h